<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title></title>
		<style>
			div{
				width: 500px;
				height: 330px;
				border: 1px solid black;
			}
		</style>
	</head>
	<body>
		<div>
			<img src="" width="200" />
			<p>图书编号：<span ></span></p>
			<p>图书名称：<span ></span></p>
			<p>出版社：<span ></span></p>
			<p>价格：<span ></span></p>
		</div>
		<div>
			<img src="" width="200" />
			<p>图书编号：<span ></span></p>
			<p>图书名称：<span ></span></p>
			<p>出版社：<span ></span></p>
			<p>价格：<span ></span></p>
		</div>
		<div>
			<img src="" width="200" />
			<p>图书编号：<span ></span></p>
			<p>图书名称：<span ></span></p>
			<p>出版社：<span ></span></p>
			<p>价格：<span ></span></p>
		</div>
		<div>
			<img src="" width="200" />
			<p>图书编号：<span ></span></p>
			<p>图书名称：<span ></span></p>
			<p>出版社：<span ></span></p>
			<p>价格：<span ></span></p>
		</div>
		<script>
			//先找到对象
			var oDivs = document.getElementsByTagName("div");
			//第一个div下的img等等标签如何找到
			var oImg = oDivs[0].getElementsByTagName("img")[0];
			var oBookno = oDivs[0].getElementsByTagName("span")[0];
			var oBookname = oDivs[0].getElementsByTagName("span")[1];
			var oPress = oDivs[0].getElementsByTagName("span")[2];
			var oPrice = oDivs[0].getElementsByTagName("span")[3];
			//第二个div下的img等等标签如何找到
			var oImg2 = oDivs[1].getElementsByTagName("img")[0];
			var oBookno2 = oDivs[1].getElementsByTagName("span")[0];
			var oBookname2 = oDivs[1].getElementsByTagName("span")[1];
			var oPress2 = oDivs[1].getElementsByTagName("span")[2];
			var oPrice2 = oDivs[1].getElementsByTagName("span")[3];
			//按需求定义json数据对象
			var bookjson = [{
				"imgsrc":"../img/pic1.webp",
				"bookno":"b001",
				"bookname":"我有一个梦想",
				"press":"理想出版社",
				"price":888
			},{
				"imgsrc":"../img/pic2.webp",
				"bookno":"b002",
				"bookname":"我有一个梦想",
				"press":"理想出版社",
				"price":888
			},{
				"imgsrc":"../img/pic3.webp",
				"bookno":"b003",
				"bookname":"我有一个梦想",
				"press":"理想出版社",
				"price":888
			},{
				"imgsrc":"../img/pic4.jpg",
				"bookno":"b004",
				"bookname":"我有一个梦想",
				"press":"理想出版社",
				"price":888
			}]
			//使用json数据，渲染页面
			oImg.src = bookjson[0].imgsrc;
			oBookno.innerHTML  = bookjson[0].bookno;
			oBookname.innerHTML = bookjson[0].bookname;
			oPress.innerHTML = bookjson[0].press;
			oPrice.innerHTML = bookjson[0].price
			
			//使用json数据，渲染页面
			oImg2.src = bookjson[1].imgsrc;
			oBookno2.innerHTML  = bookjson[1].bookno;
			oBookname2.innerHTML = bookjson[1].bookname;
			oPress2.innerHTML = bookjson[1].press;
			oPrice2.innerHTML = bookjson[1].price
		</script>
	</body>
</html>
